summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorMichael Hanson <hansonorders@verizon.net>2010-11-06 03:49:34 (GMT)
committerMichael Hanson <hansonorders@verizon.net>2010-11-06 03:49:34 (GMT)
commit28df92c527607da6a77cbc2ba0f8f62bc6dff548 (patch)
treeee12dafecfaabb1b8c9f75273e11a2af8e1bfa02 /abs
parentcd93c8ee5f2f5c40d6dd56c2c45d54560b052852 (diff)
downloadlinhes_pkgbuild-28df92c527607da6a77cbc2ba0f8f62bc6dff548.zip
linhes_pkgbuild-28df92c527607da6a77cbc2ba0f8f62bc6dff548.tar.gz
linhes_pkgbuild-28df92c527607da6a77cbc2ba0f8f62bc6dff548.tar.bz2
mythplugins: update to 0.24 - untested
Diffstat (limited to 'abs')
-rw-r--r--abs/core/mythplugins/PKGBUILD144
-rw-r--r--abs/core/mythplugins/mtd36
-rw-r--r--abs/core/mythplugins/mythplugins-mythzoneminder.install3
-rw-r--r--abs/core/mythplugins/qt-4.7-buildfixes.diff26
4 files changed, 209 insertions, 0 deletions
diff --git a/abs/core/mythplugins/PKGBUILD b/abs/core/mythplugins/PKGBUILD
new file mode 100644
index 0000000..dbb0627
--- /dev/null
+++ b/abs/core/mythplugins/PKGBUILD
@@ -0,0 +1,144 @@
+# $Id: PKGBUILD 91281 2010-09-26 06:04:21Z remy $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+
+pkgbase=mythplugins
+pkgname=('mythplugins-mytharchive'
+ 'mythplugins-mythbrowser'
+ 'mythplugins-mythgallery'
+ 'mythplugins-mythgame'
+ 'mythplugins-mythmusic'
+ 'mythplugins-mythnetvision'
+ 'mythplugins-mythnews'
+ 'mythplugins-mythvideo'
+ 'mythplugins-mythweather'
+ 'mythplugins-mythweb'
+ 'mythplugins-mythzoneminder')
+pkgver=0.24
+pkgrel=1
+arch=('i686' 'x86_64')
+url="http://www.mythtv.org"
+license=('GPL')
+conflicts=('mythmovies')
+makedepends=("mythtv>=${pkgver}" 'mplayer' 'fftw' 'dvdauthor' 'libexif'
+ 'python-imaging' 'libcdaudio' 'taglib' 'perl-xml-simple' 'dcraw'
+ 'libvisual' 'perl-xml-xpath' 'perl-image-size'
+ 'perl-class-inspector' 'perl-datetime-format-iso8601'
+ 'flac' 'libvorbis' 'python-pycurl' 'python-oauth')
+#source=(ftp://ftp.archlinux.org/other/mythtv/${pkgbase}-${pkgver}.tar.xz)
+
+build() {
+ _svntrunk="http://svn.mythtv.org/svn/branches/release-0-24-fixes"
+ _svnmod="${pkgbase}"
+
+ # get clean copy from SVN repo
+ if [ -d "${srcdir}/${pkgbase}" ]
+ then
+ cd "${srcdir}/${pkgbase}"
+ echo "Updating from SVN..."
+ svn up
+ else
+ cd "${srcdir}"
+ echo "Checking Out from SVN..."
+ svn co "${_svntrunk}/${_svnmod}"
+ fi
+
+ cd "${srcdir}/${pkgbase}"
+ find . -name '*.py' -type f | xargs sed -i 's@^#!.*python$@#!/usr/bin/python2@'
+ ./configure --prefix=/usr \
+ --enable-all
+
+ qmake mythplugins.pro || return 1
+ make || return 1
+}
+
+package_mythplugins-mytharchive() {
+ pkgdesc="MythTV plugin that lets you create DVDs from or archive your recorded shows"
+ depends=("mythtv>=${pkgver}" 'libxmu' 'pil' 'dvdauthor')
+ replaces=('mytharchive')
+ cd "${srcdir}/${pkgbase}/mytharchive"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
+
+package_mythplugins-mythbrowser() {
+ pkgdesc="Mini web browser for MythTV"
+ depends=("mythtv>=${pkgver}")
+ replaces=('mythbrowser')
+ cd "${srcdir}/${pkgbase}/mythbrowser"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
+
+package_mythplugins-mythgallery() {
+ pkgdesc="Image gallery plugin for MythTV"
+ depends=("mythtv>=${pkgver}" 'libexif')
+ replaces=('mythgallery')
+ cd "${srcdir}/${pkgbase}/mythgallery"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
+
+package_mythplugins-mythgame() {
+ pkgdesc="Game emulator module for MythTV"
+ depends=("mythtv>=${pkgver}" 'zlib')
+ replaces=('mythgame')
+ cd "${srcdir}/${pkgbase}/mythgame"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
+
+package_mythplugins-mythmusic() {
+ pkgdesc="Music playing plugin for MythTV"
+ depends=("mythtv>=${pkgver}" 'flac' 'libvorbis' 'libcdaudio' 'cdparanoia' 'taglib' 'libvisual')
+ replaces=('mythmusic')
+ cd "${srcdir}/${pkgbase}/mythmusic"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
+
+package_mythplugins-mythnetvision() {
+ pkgdesc="MythNetvision plugin for MythTV"
+ depends=("mythtv>=${pkgver}" 'python-pycurl' 'python-oauth')
+ cd "${srcdir}/${pkgbase}/mythnetvision"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
+
+package_mythplugins-mythnews() {
+ pkgdesc="News checking plugin for MythTV"
+ depends=("mythtv>=${pkgver}")
+ replaces=('mythnews')
+ cd "${srcdir}/${pkgbase}/mythnews"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
+
+package_mythplugins-mythvideo() {
+ pkgdesc="Video playback and browsing plugin for MythTV"
+ depends=("mythtv>=${pkgver}" 'mplayer' 'perl-xml-simple')
+ replaces=('mythvideo')
+ cd "${srcdir}/${pkgbase}/mythvideo"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
+
+package_mythplugins-mythweather() {
+ pkgdesc="Weather checking plugin for MythTV"
+ depends=("mythtv>=${pkgver}" 'perl-xml-xpath' 'perl-image-size' 'perl-class-inspector' 'perl-datetime-format-iso8601')
+ replaces=('mythweather')
+ cd "${srcdir}/${pkgbase}/mythweather"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
+
+package_mythplugins-mythweb() {
+ pkgdesc="Web interface for MythTV's backend"
+ depends=("mythtv>=${pkgver}")
+ optdepends=('php-apache'
+ 'lighttpd')
+ replaces=('mythweb')
+ mkdir -p ${pkgdir}/data/srv/httpd/htdocs/mythweb/{image_cache,php_sessions}
+ cp -r ${srcdir}/mythplugins/mythweb/* ${pkgdir}/data/srv/httpd/htdocs/mythweb || return 1
+ chown -R http:http ${pkgdir}/data/srv/httpd/htdocs/mythweb
+ chmod g+rw ${pkgdir}/data/srv/httpd/htdocs/mythweb/{image_cache,php_sessions,data}
+}
+
+package_mythplugins-mythzoneminder() {
+ pkgdesc="Allows for viewing of CCTV cameras through zoneminder"
+ depends=("mythtv>=${pkgver}" zoneminder)
+ replaces=('mythzoneminder')
+# install=mythplugins-mythzoneminder.install
+ cd "${srcdir}/${pkgbase}/mythzoneminder"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
diff --git a/abs/core/mythplugins/mtd b/abs/core/mythplugins/mtd
new file mode 100644
index 0000000..1f46dfe
--- /dev/null
+++ b/abs/core/mythplugins/mtd
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/mtd`
+case "$1" in
+ start)
+ stat_busy "Starting Myth Transcoding Daemon"
+ [ -z "$PID" ] && /usr/bin/mtd -d
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/mtd.pid
+ add_daemon mythtranscode
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Myth Transcoding Daemon"
+ [ ! -z "$PID" ] && kill $PID &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon mtd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
diff --git a/abs/core/mythplugins/mythplugins-mythzoneminder.install b/abs/core/mythplugins/mythplugins-mythzoneminder.install
new file mode 100644
index 0000000..142212b
--- /dev/null
+++ b/abs/core/mythplugins/mythplugins-mythzoneminder.install
@@ -0,0 +1,3 @@
+post_install() {
+ echo "If you want to use this plugin, install zoneminder from AUR."
+}
diff --git a/abs/core/mythplugins/qt-4.7-buildfixes.diff b/abs/core/mythplugins/qt-4.7-buildfixes.diff
new file mode 100644
index 0000000..dcffebe
--- /dev/null
+++ b/abs/core/mythplugins/qt-4.7-buildfixes.diff
@@ -0,0 +1,26 @@
+Index: /branches/release-0-23-fixes/mythplugins/mythnetvision/mythnetvision/netsearch.cpp
+===================================================================
+--- /branches/release-0-23-fixes/mythplugins/mythnetvision/mythnetvision/netsearch.cpp (revision 24265)
++++ /branches/release-0-23-fixes/mythplugins/mythnetvision/mythnetvision/netsearch.cpp (revision 26391)
+@@ -45,7 +45,7 @@
+ m_progress(NULL), m_busyPopup(NULL),
+ m_okPopup(NULL), m_popupStack(),
+- m_netSearch(), m_currentSearch(NULL),
+- m_currentGrabber(0), m_currentCmd(NULL),
+- m_currentDownload(NULL), m_pagenum(0),
++ m_netSearch(), m_currentSearch(QString()),
++ m_currentGrabber(0), m_currentCmd(QString()),
++ m_currentDownload(QString()), m_pagenum(0),
+ m_lock(QMutex::Recursive)
+ {
+Index: /branches/release-0-23-fixes/mythplugins/mythvideo/mythvideo/videodlg.h
+===================================================================
+--- /branches/release-0-23-fixes/mythplugins/mythvideo/mythvideo/videodlg.h (revision 22916)
++++ /branches/release-0-23-fixes/mythplugins/mythvideo/mythvideo/videodlg.h (revision 26391)
+@@ -151,5 +151,5 @@
+ QString GetCoverImage(MythGenericTree *node);
+ QString GetFirstImage(MythGenericTree *node, QString type,
+- QString gpnode = NULL, int levels = 0);
++ QString gpnode = QString(), int levels = 0);
+ QString GetImageFromFolder(Metadata *metadata);
+ QString GetScreenshot(MythGenericTree *node);